"use strict";

const createDatasheet = require("../../shared/create-datasheet");

module.exports = function normalizeProduct() {
	return async function (api) {
		let { data } = api;

		createDatasheet(api, {
			priority: 0.8,
			source: "focus-lcds",
			manufacturer: data.itemData.manufacturer ?? "Focus LCDs",
			productID: null,
			name: data.itemData.name,
			description: data.itemData.description,
			url: data.itemData.datasheetURL
		});
	};
};
