"use strict";

const createDatasheet = require("../../shared/create-datasheet");

module.exports = function lcscNormalizeProduct() {
	return async function (api) {
		let { data } = api;

		createDatasheet(api, {
			priority: 0.4,
			source: "lcsc",
			manufacturer: data.brandNameEn,
			productID: data.productCode,
			name: data.productModel,
			description: data.productIntroEn,
			url: data.pdfUrl
		});
	};
};
